[Testing Update] 2022-06-10 - Kernels, Pipewire, KDE Gear 22.04.2, Haskell, Python, LibreOffice

Hello community,

Another testing branch update with some usual updates for you.

image
Don’t miss out on 20% discount on all Manjaro Merch! Visit one of our stores now!

  • Some of our Kernels got updated
  • LibreOffice is now at 7.3.4
  • KDE Gear 22.04.2 got released
  • PipeWire got renewed to 0.3.52
  • Some more Python and Haskell updates
  • Daily KDE-git updates

Additional Info

Info about AUR packages

:warning: AUR (Arch User Repository) packages are neither supported by Arch nor Manjaro. Posts about them in Announcement topics are off-topic and will be flagged, moved or removed without warning.

:information_source: You may need to rebuild any AUR packages that install files to site-packages …

Get our latest daily developer images now from Github: Plasma, GNOME, XFCE. You get the latest stable releases of Manjaro from CDN77.


Our current supported kernels

  • linux419 4.19.246
  • linux54 5.4.197
  • linux510 5.10.121
  • linux515 5.15.46
  • linux517 5.17.14
  • linux518 5.18.3
  • linux519 5.19-rc1
  • linux515-rt 5.15.44_rt46
  • linux518-rt 5.18.0_rt11

Package Changes (Fri Jun 10 20:14:22 CEST 2022)

  • testing community x86_64: 701 new and 691 removed package(s)
  • testing core x86_64: 23 new and 22 removed package(s)
  • testing extra x86_64: 502 new and 664 removed package(s)
  • testing kde-unstable x86_64: 185 new and 185 removed package(s)
  • testing multilib x86_64: 18 new and 18 removed package(s)

A detailed list of all changes can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

2 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Please RTFT (Read This Fine Thread) first before reporting the same issues over and over again!

:arrow_right: 2022-06-10

2022-06-07

Locale file changes

C.UTF8 locale is now included in glibc:

Credits @diabonas for this change. Systemd wants us to include C.UTF8 by default and it seems the locale may be in included by glibc upstream in the future. To fix building and avoid nasty fixing in devtools, we include the locale in the package. See systemd/systemd#23252 (comment) FS#74864 : [systemd] >= 251 breaks devtools' locale

There is a pacsave for /etc/locale.conf as it has been removed from the filesystem package.

UPDATE: With filesystem 2022.06.08-2, it will automatically restore /etc/locale.conf if it did not already exist.

There is a pacnew for /etc/locale.gen. Please review it and regenerate your locale if necessary.

2022-05-10

QEMU >= 7.0.0 changes split package setup

2022-05-09 - David Runge

With the update to qemu 7.0.0 the package has been turned into a more fine grained split package utilizing meta packages.

  • The qemu package is now virtually provided by the meta packages qemu-base, qemu-desktop and qemu-full.
  • The functionality of qemu prior to 7.0.0 is replaced by qemu-desktop
  • The functionality of qemu-headless is replaced by qemu-base
  • The functionality of qemu-arch-extra and qemu-headless-arch-extra is replaced by qemu-emulators-full
  • The meta package qemu-full provides all QEMU related packages (excluding qemu-guest-agent)

2022-03-12

Cannot mix incompatible Qt library (5.15.2) with this library (5.15.3)
  • Check the mirror you use is up to date:
sudo pacman-mirrors -f 5 && sudo pacman -Syyu 
  • If you use qt5-styleplugins (AUR), rebuild it:
pamac build qt5-styleplugins
FIXED? VPN via L2TP might not work anymore

See FS#74089 - networkmanager 1.36 breaks vpn with networkmanager-l2tp

You may need to downgrade to 1.34.0:

sudo pacman -U https://archive.archlinux.org/packages/l/libnm/libnm-1.34.0-1-x86_64.pkg.tar.zst https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.34.0-1-x86_64.pkg.tar.zst

FIXED? DSL/PPPoE may require downgrading 2 packages

See my-internet-connection-is-no-longer-working and FS#73948 - networkmanager 1.36.0 breaks DSL connection

Please check if 1.36.2-1.0 of NetworkManager improve things, else downgrade to 1.34.0:

sudo pacman -U https://archive.archlinux.org/packages/l/libnm/libnm-1.34.0-1-x86_64.pkg.tar.zst https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.34.0-1-x86_64.pkg.tar.zst

2022-01-03

New warnings when building the fallback initcpio - Possibly missing firmware for module: bfa, qed, qla1280, qla2xxx

That’s due to the recent changes to the linux-firmware package. Note these are warnings, not errors. You only need those firmwares if you have Mellanox Spectrum switches, Marvell devices, Qualcomm SoCs, Cavium LiquidIO server adapters, QLogic devices and Broadcom NetXtreme II 10Gb ethernet adapters. if you have that hardware you can install linux-firmware-qlogic to get rid of those warnings. If you do not have that hardware you can safely ignore those warnings.

pamac install linux-firmware-qlogic

AMD GPU Mesa driver, Plasma.

Updated and works now, no issues. Thanks.

After this update, Akonadi is refusing to start. Even if I move the database files and have it recreate them, it still crashes with “Unknown error”.

Checking the mysql error log, it says the InnoDB plugin failed to load with the error

./ib_logfile0 was not found.

3 Likes

Indeed, same problem here, Akonadi does not start anymore…

[eddy@imac ~]$ org.kde.pim.akonadiserver: Starting up the Akonadi Server...
org.kde.pim.akonadiserver: database server stopped unexpectedly
org.kde.pim.akonadiserver: Database process exited unexpectedly during initial connection!
org.kde.pim.akonadiserver: executable: "/usr/sbin/mysqld"
org.kde.pim.akonadiserver: arguments: ("--defaults-file=/home/eddy/.local/share/akonadi/mysql.conf", "--datadir=/home/eddy/.local/share/akonadi/db_data/", "--socket=/run/user/1000/akonadi/mysql.socket", "--pid-file=/run/user/1000/akonadi/mysql.pid")
org.kde.pim.akonadiserver: stdout: ""
org.kde.pim.akonadiserver: stderr: "2022-06-11 10:46:20 0 [Note] /usr/sbin/mysqld (server 10.8.3-MariaDB) starting as process 6268 ...\n"
org.kde.pim.akonadiserver: exit code: 1
org.kde.pim.akonadiserver: process error: "Unknown error"
org.kde.pim.akonadiserver: Shutting down AkonadiServer...
org.kde.pim.akonadicontrol: Application '/usr/bin/akonadiserver' exited normally...
2022-06-11 10:51:39 0 [Warning] option 'innodb-log-buffer-size': unsigned value 1048576 adjusted to 2097152
2022-06-11 10:51:39 0 [Note] InnoDB: Compressed tables use zlib 1.2.12
2022-06-11 10:51:39 0 [Note] InnoDB: Using transactional memory
2022-06-11 10:51:39 0 [Note] InnoDB: Number of transaction pools: 1
2022-06-11 10:51:39 0 [Note] InnoDB: Using crc32 + pclmulqdq instructions
2022-06-11 10:51:39 0 [Note] InnoDB: Using Linux native AIO
2022-06-11 10:51:39 0 [Note] InnoDB: Initializing buffer pool, total size = 128.000MiB, chunk size = 2.000MiB
2022-06-11 10:51:39 0 [Note] InnoDB: Completed initialization of buffer pool
2022-06-11 10:51:39 0 [ERROR] InnoDB: File ./ib_logfile0 was not found
2022-06-11 10:51:39 0 [ERROR] InnoDB: Plugin initialization aborted with error Generic error
2022-06-11 10:51:39 0 [Note] InnoDB: Starting shutdown...
2022-06-11 10:51:39 0 [ERROR] Plugin 'InnoDB' init function returned error.
2022-06-11 10:51:39 0 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
2022-06-11 10:51:39 0 [ERROR] Unknown/unsupported storage engine: innodb
2022-06-11 10:51:39 0 [ERROR] Aborting
2 Likes

I can confirm that something is wrong with akonadi. When launching akonadi console, I’m greeted by this:

I would love that all akonadi apps would be replaced or switched to some other solution. Akonadi is source or constant issues.

1 Like

If not already tried, these posts 1 2 have common solutions for anakondi issues, the first one is more recent and for some users the solution to solve the issue of the missing file is to create it manually.

3 Likes

[SOLVED] hello,

I’m in emergency mode when booting on the last RT kernel. I have not special intention regarding this kind of kernels except music production or reaching ultra low latency while mixing/doing stuff/reading/painting my bathroom etc…
I’m totally unaware of how to unlock the situation. Yes, I’m using the testing branch. Plenty are the reasons.

Here is what I’ve found :

juin 11 14:06:37 alpic-ms7924 systemd[1]: boot-efi.mount: Failed with result 'exit-code'.
juin 11 14:06:37 alpic-ms7924 systemd[1]: Failed to mount /boot/efi.
juin 11 14:06:37 alpic-ms7924 systemd[1]: Dependency failed for Local File Systems.

**

  • Do I need to put only UEFI mode in the BIOS ?

**

Here’s my machine

Machine:
Type: Desktop Mobo: MSI model: H97M-G43(MS-7924) v: 1.0
serial: UEFI: American Megatrends v: 2.11
date: 02/16/2016

[SOLVED] Hello I just did a `

pacman -S linux518-rt linux518-rt-headers

`

Somehow this comes up again :smiley:

jack2 and pipewire-jack are in conflict (jack). Remove pipewire-jack? [y/N] 

I have no jack2 installed o.O

Edit: cadence was the problem. removing cadence solved everything :wink:

It’s weird but on my gear :

Device-2: Intel 9 Series Family HD Audio vendor: Micro-Star MSI
driver: snd_hda_intel v: kernel bus-ID: 00:1b.0
Device-3: VIA Audio-gd type: USB driver: hid-generic,snd-usb-audio,usbhid
Sound Server-1: ALSA v: k5.18.0-1-rt11-MANJARO running: yes
Sound Server-2: sndio v: N/A running: no
Sound Server-3: PulseAudio v: 16.0 running: no
Sound Server-4: PipeWire v: 0.3.52 running: yes

I have random audio glitches through any audio streamer/player.
Any professional advice on how to reduce those events with wireplumber and why does it happens with a RealTime kernel.
Any monitoring tools to see graphically or on cli the audio transit through the usb sockets ?

Right now I’m playing cocteau twins - on my cd rom player. And I don’t have this behavior… 2022-06-11T19:57:00Z

Good find. Post #17 in that first thread worked. Thank you! :+1:t4:

3 Likes

Thanks, but I would need hours to read, experiment, learn. I don’t have time, nor I want to educate myself in that matter. I have better things to do.
If I install an application, I expect it to work. Any app that uses akonadi is just a fail from the start, because akonadi BREAKS ALL THE TIME FROM VARIOUS REASONS, EVEN IF WE DON’T MESS WITH AKONADI. This reason alone, makes akonadi A STUPID IDEA. Any akonadi app is unreliable because of akonadi. Fixing akonadi requires a steep learning curve. I’m not a programmer, developer or any IT worker, so I have no desire to spend hours learning something, just to fix my calendar app. If that is the case, calendar app is just trash.

Because of that, I decided to remove akonadi and all akonadi related pakackes. It was a chore because of the dependencies, but eventually I made it.

1 Like

A post was split to a new topic: Problems with Wine / Proton

VirtualBox machine can not start or freezes when using Linux Kernel 5.18 and Intel 11th or 12th Gen.

The error messages from Journalctl:

Jun 16 21:50:43 zesko kernel: traps: Missing ENDBR: 0xffffa48c478ab3c0
Jun 16 21:50:43 zesko kernel: kernel BUG at arch/x86/kernel/traps.c:252!

The known issue: FS#74891 : kernel bug (upon boot) after upgrade to 5.18.arch1-1

Solution:

For Grub:

  1. Edit /etc/default/grub to add the Kernel parameter ibt=off
  2. sudo update-grub
  3. Reboot

Linux Kernel 5.17 has no issue but it is EOL.

1 Like

This post was flagged by the community and is temporarily hidden.

1 Like